Summary: The NMAP network security scanner
Name: nmap
Version: 3.70
Release: 1tr
Group: Trustix Official
Source: http://download.insecure.org/nmap/dist/nmap-%{version}.tar.bz2
License: GPL
URL: http://www.insecure.org/nmap/
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: pcre-devel libpcap openssl-devel

%description
Nmap ("Network Mapper") is a free open source utility for network
exploration or security auditing. It was designed to rapidly scan
large networks, although it works fine against single hosts. Nmap uses
raw IP packets in novel ways to determine what hosts are available on
the network, what services (application name and version) those hosts
are offering, what operating systems (and OS versions) they are running,
what type of packet filters/firewalls are in use, and dozens of other
characteristics. Nmap runs on most types of computers and both console
and graphical versions are available. Nmap is free software, available
with full source code under the terms of the GNU GPL.

%prep
%setup -q

%build
%configure \
	--without-nmapfe \
	--with-libpcap \
	--with-libpcre \
	--with-openssl=/usr

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc COPYING docs/*
%{_bindir}/*
%{_datadir}/nmap
%{_mandir}/man1/*


%changelog
* Wed Sep 22 2004 Erlend Midttun <erlendbm at trustix dot org> 3.70-1tr
- Initial release

